var search_data = {"index":{"searchIndex":["lxc","container","error","object","add_define()","add_device_node()","attach()","cgroup_item()","clear_config()","clear_config_item()","clone()","config_file_name()","config_item()","config_path()","config_path=()","console()","console_fd()","controllable?()","create()","defined?()","destroy()","freeze()","global_config_item()","init_pid()","interfaces()","ip_addresses()","keys()","list_containers()","load_config()","name()","new()","reboot()","remove_device_node()","rename()","run_command()","run_shell()","running?()","running_config_item()","save_config()","set_cgroup_item()","set_config_item()","shutdown()","snapshot()","snapshot_destroy()","snapshot_list()","snapshot_restore()","start()","state()","stop()","unfreeze()","version()","wait()","makefile"],"longSearchIndex":["lxc","lxc::container","lxc::error","object","object#add_define()","lxc::container#add_device_node()","lxc::container#attach()","lxc::container#cgroup_item()","lxc::container#clear_config()","lxc::container#clear_config_item()","lxc::container#clone()","lxc::container#config_file_name()","lxc::container#config_item()","lxc::container#config_path()","lxc::container#config_path=()","lxc::container#console()","lxc::container#console_fd()","lxc::container#controllable?()","lxc::container#create()","lxc::container#defined?()","lxc::container#destroy()","lxc::container#freeze()","lxc::global_config_item()","lxc::container#init_pid()","lxc::container#interfaces()","lxc::container#ip_addresses()","lxc::container#keys()","lxc::list_containers()","lxc::container#load_config()","lxc::container#name()","lxc::container::new()","lxc::container#reboot()","lxc::container#remove_device_node()","lxc::container#rename()","lxc::run_command()","lxc::run_shell()","lxc::container#running?()","lxc::container#running_config_item()","lxc::container#save_config()","lxc::container#set_cgroup_item()","lxc::container#set_config_item()","lxc::container#shutdown()","lxc::container#snapshot()","lxc::container#snapshot_destroy()","lxc::container#snapshot_list()","lxc::container#snapshot_restore()","lxc::container#start()","lxc::container#state()","lxc::container#stop()","lxc::container#unfreeze()","lxc::version()","lxc::container#wait()",""],"info":[["LXC","","LXC.html","","<p>This module provides a Ruby API allowing programmatic managing of “Linux Containers”.\n<p>The <code>LXC</code> module …\n"],["LXC::Container","","LXC/Container.html","","<p>This class contains methods to manage Linux containers.\n"],["LXC::Error","","LXC/Error.html","",""],["Object","","Object.html","",""],["add_define","Object","Object.html#method-i-add_define","(name)",""],["add_device_node","LXC::Container","LXC/Container.html#method-i-add_device_node","(p1, p2 = v2)","<p>Adds a device node to the container.\n"],["attach","LXC::Container","LXC/Container.html#method-i-attach","(p1 = v1)","<p>Calls <code>block</code> in the context of the attached container. The options may contain the following keys.\n<p><code>:flags</code> …\n"],["cgroup_item","LXC::Container","LXC/Container.html#method-i-cgroup_item","(p1)","<p>Returns the value corresponding to the given cgroup item configuration.\n"],["clear_config","LXC::Container","LXC/Container.html#method-i-clear_config","()","<p>Clears the container configuration.\n"],["clear_config_item","LXC::Container","LXC/Container.html#method-i-clear_config_item","(p1)","<p>Clears the container configuration item <code>key</code>.\n"],["clone","LXC::Container","LXC/Container.html#method-i-clone","(p1, p2 = v2)","<p>Clones the container, returning a new one with the given name. The options hash may contain the following …\n"],["config_file_name","LXC::Container","LXC/Container.html#method-i-config_file_name","()","<p>Returns the name of the container&#39;s configuration file.\n"],["config_item","LXC::Container","LXC/Container.html#method-i-config_item","(p1)","<p>Returns the value corresponding to the given configuration item.\n"],["config_path","LXC::Container","LXC/Container.html#method-i-config_path","()","<p>Returns the configuration path for the container.\n"],["config_path=","LXC::Container","LXC/Container.html#method-i-config_path-3D","(p1)","<p>Sets the container configuration path.\n"],["console","LXC::Container","LXC/Container.html#method-i-console","(p1 = v1)","<p>Accesses the container&#39;s console. The options hash may contain the following keys.\n<p><code>:tty_num</code>\n<p><code>:stdin_fd</code> …\n"],["console_fd","LXC::Container","LXC/Container.html#method-i-console_fd","(p1 = v1)","<p>Returns an IO object referring to the container&#39;s console file descriptor.\n"],["controllable?","LXC::Container","LXC/Container.html#method-i-controllable-3F","()",""],["create","LXC::Container","LXC/Container.html#method-i-create","(p1, p2 = v2, p3 = v3, p4 = v4, p5 = v5)","<p>Creates a structure for the container according to the given template. This usually consists of downloading …\n"],["defined?","LXC::Container","LXC/Container.html#method-i-defined-3F","()",""],["destroy","LXC::Container","LXC/Container.html#method-i-destroy","()","<p>Destroys the container.\n"],["freeze","LXC::Container","LXC/Container.html#method-i-freeze","()","<p>Freezes the container.\n"],["global_config_item","LXC","LXC.html#method-c-global_config_item","(p1)","<p>Returns value for the given global config key.\n"],["init_pid","LXC::Container","LXC/Container.html#method-i-init_pid","()","<p>Returns the PID of the container&#39;s <code>init</code> process from the host&#39;s point of view.\n"],["interfaces","LXC::Container","LXC/Container.html#method-i-interfaces","()","<p>Returns the list of network interfaces of the container.\n"],["ip_addresses","LXC::Container","LXC/Container.html#method-i-ip_addresses","(p1 = v1, p2 = v2, p3 = v3)","<p>Returns the list of IP addresses of the container.\n"],["keys","LXC::Container","LXC/Container.html#method-i-keys","(p1)","<p>Returns a list of valid sub-keys for the given configuration key.\n<p>Keys can be in the format &#39;lxc.network.&lt;idx&gt;&#39;, …\n"],["list_containers","LXC","LXC.html#method-c-list_containers","(p1 = v1)","<p>Returns an array of containers. Which containers are returned depends on the options hash: by default, …\n"],["load_config","LXC::Container","LXC/Container.html#method-i-load_config","(p1 = v1)","<p>Loads the container&#39;s configuration.\n"],["name","LXC::Container","LXC/Container.html#method-i-name","()","<p>Returns the name of the container.\n"],["new","LXC::Container","LXC/Container.html#method-c-new","(p1, p2 = v2)","<p>Creates a new container instance with the given name, under the given configuration path.\n"],["reboot","LXC::Container","LXC/Container.html#method-i-reboot","()","<p>Reboots the container.\n"],["remove_device_node","LXC::Container","LXC/Container.html#method-i-remove_device_node","(p1, p2 = v2)","<p>Removes a device node from the container.\n"],["rename","LXC::Container","LXC/Container.html#method-i-rename","(p1)","<p>Renames the container and returns a new <code>LXC::Container</code> instance of the container with the new name.\n"],["run_command","LXC","LXC.html#method-c-run_command","(p1)","<p>Runs the given command (given as a string or as an argv array) in an attached container. Useful in conjunction …\n"],["run_shell","LXC","LXC.html#method-c-run_shell","()","<p>Runs a shell in an attached container. Useful in conjunction with +LXC::Container#attach+.\n"],["running?","LXC::Container","LXC/Container.html#method-i-running-3F","()",""],["running_config_item","LXC::Container","LXC/Container.html#method-i-running_config_item","(p1)","<p>Returns the value corresponding to the given configuration item from a running container.\n"],["save_config","LXC::Container","LXC/Container.html#method-i-save_config","(p1 = v1)",""],["set_cgroup_item","LXC::Container","LXC/Container.html#method-i-set_cgroup_item","(p1, p2)","<p>Sets the value of a cgroup configuration item.\n"],["set_config_item","LXC::Container","LXC/Container.html#method-i-set_config_item","(p1, p2)","<p>Sets the value of a configuration item.\n"],["shutdown","LXC::Container","LXC/Container.html#method-i-shutdown","(p1 = v1)","<p>Shuts down the container, optionally waiting for <code>timeout</code> seconds. If <code>timeout</code> is <code>-1</code>, wait as long as necessary …\n"],["snapshot","LXC::Container","LXC/Container.html#method-i-snapshot","(p1 = v1)","<p>Creates a snapshot of the container. Returns the snapshot name.\n"],["snapshot_destroy","LXC::Container","LXC/Container.html#method-i-snapshot_destroy","(p1)","<p>Destroys the given snapshot.\n"],["snapshot_list","LXC::Container","LXC/Container.html#method-i-snapshot_list","()","<p>Returns a list of existing snapshots for the container.\n"],["snapshot_restore","LXC::Container","LXC/Container.html#method-i-snapshot_restore","(p1, p2 = v2)","<p>Restores the given snapshot.\n"],["start","LXC::Container","LXC/Container.html#method-i-start","(p1 = v1)","<p>Starts the container. The options hash may contain the following keys.\n<p><code>:use_init</code>\n<p><code>:daemonize</code>\n"],["state","LXC::Container","LXC/Container.html#method-i-state","()","<p>Returns a symbol representing the state of the container.\n<p><code>:stopped</code>\n<p><code>:starting</code>\n"],["stop","LXC::Container","LXC/Container.html#method-i-stop","()","<p>Stops the container.\n"],["unfreeze","LXC::Container","LXC/Container.html#method-i-unfreeze","()","<p>Thaws a frozen container.\n"],["version","LXC","LXC.html#method-c-version","()","<p>Returns the <code>liblxc</code> version.\n"],["wait","LXC::Container","LXC/Container.html#method-i-wait","(p1, p2 = v2)","<p>Waits for <code>timeout</code> seconds (or as long as necessary if <code>timeout</code> is <code>-1</code>) until the container&#39;s state …\n"],["Makefile","","ext/lxc/Makefile.html","","<p>SHELL = /bin/sh\n<p># V=0 quiet, V=1 verbose.  other values don&#39;t work. V = 1 Q1 = $(V:1=) Q = $(Q1:0=@) …\n"]]}}